/*
 * Class ARRAYED_LIST [INTEGER_8]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_593 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_593 [] = {0xFF01,237,592,176,0xFFFF};
static const EIF_TYPE_INDEX egt_2_593 [] = {0xFF01,592,176,0xFFFF};
static const EIF_TYPE_INDEX egt_3_593 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_593 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_593 [] = {0xFF01,592,176,0xFFFF};
static const EIF_TYPE_INDEX egt_6_593 [] = {0xFF01,592,176,0xFFFF};
static const EIF_TYPE_INDEX egt_7_593 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_593 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_593 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_593 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_593 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_593 [] = {592,176,0xFFFF};
static const EIF_TYPE_INDEX egt_13_593 [] = {0xFF01,592,176,0xFFFF};
static const EIF_TYPE_INDEX egt_14_593 [] = {0xFF01,584,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_593 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_593 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_593 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_18_593 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_19_593 [] = {0xFF01,148,0xFFFF};
static const EIF_TYPE_INDEX egt_20_593 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_21_593 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_22_593 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_23_593 [] = {0xFF01,592,176,0xFFFF};
static const EIF_TYPE_INDEX egt_24_593 [] = {0xFF01,575,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_25_593 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_26_593 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_27_593 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_28_593 [] = {0xFF01,576,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_29_593 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_30_593 [] = {0xFF01,169,0xFFFF};
static const EIF_TYPE_INDEX egt_31_593 [] = {0xFF01,575,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_32_593 [] = {0xFF01,581,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_33_593 [] = {0xFF01,592,176,0xFFFF};
static const EIF_TYPE_INDEX egt_34_593 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_35_593 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_36_593 [] = {0xFF01,144,0xFFFF};
static const EIF_TYPE_INDEX egt_37_593 [] = {0xFF01,592,176,0xFFFF};


static const struct desc_info desc_593[] = {
	{EIF_GENERIC(NULL), 7936, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_593), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_593), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7960, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_593), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7987, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_593), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_593), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_593), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_593), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_593), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_593), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_593), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_593), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_593), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_593), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_593), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7948, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2035, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1890, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1891, 4},
	{EIF_NON_GENERIC(0x017F /*191*/), 1892, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1893, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1894, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_593), 2388, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_593), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 7959, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2153, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_593), 7941, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2568, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2569, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2003, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7980, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7989, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 4409, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7973, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 7946, 8},
	{EIF_NON_GENERIC(0x019D /*206*/), 4412, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_593), 2381, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2382, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4667, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7968, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7969, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_593), 7942, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_593), 4413, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7963, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_593), 7941, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4397, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7967, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7950, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7951, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7952, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7953, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_593), 7944, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_593), 7945, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7966, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7971, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4419, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4420, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4398, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4399, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7994, 0xFFFFFFFF},
	{EIF_GENERIC(egt_23_593), 7996, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2378, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2377, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2380, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2380, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4668, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7970, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2379, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4595, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7961, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7964, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2565, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7977, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4402, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7988, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7990, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7993, 0xFFFFFFFF},
	{EIF_GENERIC(egt_24_593), 4986, 0},
	{EIF_GENERIC(NULL), 4987, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4988, 0xFFFFFFFF},
	{EIF_GENERIC(egt_25_593), 4989, 0xFFFFFFFF},
	{EIF_GENERIC(egt_26_593), 4990, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4991, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4992, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4993, 0xFFFFFFFF},
	{EIF_GENERIC(egt_27_593), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2083, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2150, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2151, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2152, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2154, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7984, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7986, 0xFFFFFFFF},
	{EIF_GENERIC(egt_28_593), 3376, 0xFFFFFFFF},
	{EIF_GENERIC(egt_29_593), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 4412, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4599, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7995, 0xFFFFFFFF},
	{EIF_GENERIC(egt_30_593), 6686, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7937, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7938, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7939, 0xFFFFFFFF},
	{EIF_GENERIC(egt_31_593), 7940, 0xFFFFFFFF},
	{EIF_GENERIC(egt_32_593), 7949, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7954, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7955, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 7956, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 7957, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7965, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7985, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7998, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7999, 0xFFFFFFFF},
	{EIF_GENERIC(egt_33_593), 8000, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 7946, 8},
	{EIF_GENERIC(egt_34_593), 7942, 0xFFFFFFFF},
	{EIF_GENERIC(egt_35_593), 7943, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7963, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7975, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7975, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_36_593), 7947, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7962, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7972, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 7958, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7974, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7978, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7979, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7981, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7982, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7991, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7992, 0xFFFFFFFF},
	{EIF_GENERIC(egt_37_593), 7997, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7976, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7983, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), -1, 0xFFFFFFFF},
};
void Init593(void)
{
	IDSC(desc_593, 0, 592);
	IDSC(desc_593 + 1, 1, 592);
	IDSC(desc_593 + 32, 77, 592);
	IDSC(desc_593 + 41, 103, 592);
	IDSC(desc_593 + 43, 243, 592);
	IDSC(desc_593 + 49, 155, 592);
	IDSC(desc_593 + 58, 256, 592);
	IDSC(desc_593 + 61, 30, 592);
	IDSC(desc_593 + 68, 329, 592);
	IDSC(desc_593 + 82, 294, 592);
	IDSC(desc_593 + 85, 282, 592);
	IDSC(desc_593 + 94, 81, 592);
	IDSC(desc_593 + 103, 35, 592);
	IDSC(desc_593 + 104, 129, 592);
	IDSC(desc_593 + 110, 99, 592);
	IDSC(desc_593 + 112, 229, 592);
	IDSC(desc_593 + 113, 55, 592);
	IDSC(desc_593 + 114, 123, 592);
	IDSC(desc_593 + 116, 38, 592);
	IDSC(desc_593 + 131, 187, 592);
	IDSC(desc_593 + 137, 184, 592);
	IDSC(desc_593 + 140, 50, 592);
	IDSC(desc_593 + 141, 96, 592);
	IDSC(desc_593 + 149, 237, 592);
	IDSC(desc_593 + 151, 172, 592);
}


#ifdef __cplusplus
}
#endif
